﻿@model IEnumerable<NewsFeed.Domain.DTO.NewsDTO>

@{
    ViewData["Title"] = "News Feed";
}

<h2>News Feed</h2>

<p>
    <a asp-action="Create" class="btn btn-success btn-sm">Create New</a>
</p>
<table class="table table-striped table-bordered" id="newsTable">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.NewTitle)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.NewDescription)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UsersSubscribed)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.NewsCategory)
            </th>
            <th>
            </th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.NewTitle)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.NewDescription)
            </td>
            <td>
                @ViewBag.Subscriptions
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.NewsCategoryName)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new {  id=item.NewsId  }, new { @role = "button", @class = "btn btn-default" }) |
                @Html.ActionLink("Details", "Details", new {  id=item.NewsId  }, new { @role = "button", @class = "btn btn-primary" }) |
                @Html.ActionLink("Delete", "Delete", new {  id=item.NewsId  }, new { @role = "button", @class = "btn btn-danger" })
            </td>
        </tr>
}
    </tbody>
</table>
